Bug 1138971 - Review Request: perl-Data-Faker - Perl extension for generating fake data
Summary: Review Request: perl-Data-Faker - Perl extension for generating fake data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-06 23:02 UTC by Denis Fateyev
Modified: 2014-09-27 18:43 UTC (History)
3 users (show)

Fixed In Version: perl-Data-Faker-0.10-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:48:50 UTC
ddick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Denis Fateyev 2014-09-06 23:02:27 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora20/testing/perl-Data-Faker.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora20/testing/SRPMS/perl-Data-Faker-0.10-1.fc20.denf.src.rpm
Description: This module creates fake (but reasonable) data that can be used for things such as filling databases with fake information during development of database related applications.
Fedora Account System Username: dfateyev

Koji scratch builds:
https://koji.fedoraproject.org/koji/taskinfo?taskID=7539003 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=7538997 (EPEL 7)

Comment 1 David Dick 2014-09-08 07:41:19 UTC
License is ok

Builds fine in rawhide at http://koji.fedoraproject.org/koji/taskinfo?taskID=7542011

Add the following missing BRs

BR: perl(File::Spec)
BR: perl(base)

rpmlint is fine (we can disregard warning for missing binary manpage)

"find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;" line can be removed.

Comment 2 David Dick 2014-09-08 07:42:01 UTC
Also, if you add the run time requires after the BuildRequires lines, it'll be more consistent with other perl packages

Comment 4 David Dick 2014-09-10 09:39:38 UTC
Hi Denis, can you supply your updated SRPM file?

Comment 6 David Dick 2014-09-10 20:54:33 UTC
Okay.

Package builds at http://koji.fedoraproject.org/koji/taskinfo?taskID=7565780

APPROVED

Comment 7 Denis Fateyev 2014-09-10 21:38:11 UTC
Thanks for the review, David.

New Package SCM Request
=======================
Package Name: perl-Data-Faker
Short Description: Perl extension for generating fake data
Owners: dfateyev
Branches: f19 f20 f21 epel7
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2014-09-11 12:01:42 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-09-12 00:58:39 UTC
perl-Data-Faker-0.10-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Data-Faker-0.10-2.el7

Comment 10 Fedora Update System 2014-09-12 00:59:56 UTC
perl-Data-Faker-0.10-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Data-Faker-0.10-2.fc21

Comment 11 Fedora Update System 2014-09-12 01:01:34 UTC
perl-Data-Faker-0.10-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Data-Faker-0.10-2.fc20

Comment 12 Fedora Update System 2014-09-12 01:02:55 UTC
perl-Data-Faker-0.10-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Data-Faker-0.10-2.fc19

Comment 13 Fedora Update System 2014-09-12 14:27:55 UTC
perl-Data-Faker-0.10-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 14 Fedora Update System 2014-09-23 04:48:50 UTC
perl-Data-Faker-0.10-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Fedora Update System 2014-09-25 10:40:14 UTC
perl-Data-Faker-0.10-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2014-09-25 10:45:31 UTC
perl-Data-Faker-0.10-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 17 Fedora Update System 2014-09-27 18:43:48 UTC
perl-Data-Faker-0.10-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.